#!/bin/bash

#qlen=$1
rate=$1kbit
rate2=$1kbit
delay=$2ms
qlen=$3
qdiscName=$4
function add_qdisc {
    dev=$1
    tc qdisc del dev $dev root
    echo qdisc removed

    # add qdisc to s0-eth1/s0-eth2 with htb and default class 1:1
    tc qdisc add dev $dev root handle 1:0 htb default 1
    echo qdisc added
    # create class 1:1 and limit rate to 6Mbit
    echo $rate
    tc class add dev $dev parent 1:0 classid 1:1 htb rate $rate ceil $rate
    echo classes created
    # add delay and buffer length bound for the class 1:1
    if [ $qlen -gt 0 ]
    then
	       echo Adding queue length
               tc qdisc add dev $dev parent 1:1 handle 10: netem delay $delay limit $qlen
            fi
    
    echo tc qdisc add dev $dev parent 1:1 handle 10: netem delay $delay
    tc qdisc add dev $dev parent 1:1 handle 10: netem delay $delay

    #echo delay added
}

add_qdisc $qdiscName
#add_qdisc s0-eth1
#add_qdisc s0
